Bug 868408 - httpd conf file needs update.
httpd conf file needs update.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-django-horizon (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-19 14:30 EDT by Dan Radez
Modified: 2012-12-03 03:57 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-03 03:57:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Radez 2012-10-19 14:30:29 EDT
Description of problem:
seems that the version of httpd in F18 wants new syntax to allow access to the open stack dir

Version-Release number of selected component (if applicable):
python-django-horizon-2012.2-2.fc18.noarch

How reproducible:
everytime installed

Steps to Reproduce:
1. install the rpm
2.
3.
  
Actual results:
403 forbidden
[Fri Oct 19 13:56:30.070850 2012] [authz_core:error] [pid 20642] [client 10.13.129.119:54900] AH01630: client denied by server configuration: /usr/share/openstack-dashboard/openstack_dashboard/wsgi/django.wsgi

Expected results:
10.13.129.119 - - [19/Oct/2012:14:06:17 -0400] "GET /dashboard HTTP/1.1" 200 1661 "-" "Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.11 (KHTML, like Gecko) Chrome/23.0.1271.26 Safari/537.11"


Additional info:
Comment 1 Dan Radez 2012-10-19 14:32:01 EDT
This 403 also impacted the static content,
I updated /etc/httpd/conf.d/openstack-dashboard.conf and replace the Directory stanza with these two:

<Directory /usr/share/openstack-dashboard/openstack_dashboard/wsgi>
Options All
AllowOverride All
Require all granted
</Directory>
<Directory /usr/share/openstack-dashboard/static>
Options All
AllowOverride All
Require all granted
</Directory>

All worked as expected then
Comment 2 Fedora Update System 2012-10-22 06:46:26 EDT
python-django-horizon-2012.2-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-django-horizon-2012.2-3.fc18
Comment 3 Matthias Runge 2012-10-22 06:47:50 EDT
Dan, 
thank you very much for the report and also the fix!
Regards,
Matthias
Comment 4 Dan Radez 2012-10-22 09:13:59 EDT
Sure thing,
Working through the test day docs. I'll submit more bugs if I find them.
Comment 5 Fedora Update System 2012-10-22 12:57:04 EDT
Package python-django-horizon-2012.2-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-django-horizon-2012.2-3.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16649/python-django-horizon-2012.2-3.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.